Create Dev Sell

This API is used to create a Dev sell task

Body Params
string
required

Currently fixed to "solana"

string
required

Supports Pump / Launchlab / Meteora DBC and their corresponding external markets. For internal markets, use "pump / meteora_bc / raydium_launchpad". For external markets, use "pump_swap / raydium_cpmm / meteora_dyn / meteora_dyn2"

string
required

When pairType is "pump / meteora_bc / raydium_launchpad", it refers to the token address. When pairType is "pump_swap / raydium_cpmm / meteora_dyn / meteora_dyn2", it refers to the internally created official pair address

string
required

The id of the wallet to be used, which can be obtained via the "Wallet Info API"

string
required

Currently fixed to "sell"

number
required

Trigger ratio (0-1), sell your tokens when Dev sells over this ratio

number
required

Sell ratio (0-1), 0.5 means sell 50%

boolean
Defaults to false

"true" means both the priority fee (priorityFee) and the bribery tip (jitoTip) fields are valid, and the system will execute the transaction based on the provided values (null indicates automatic priority fee / bribery tip). "false" means that in turbo mode, only the priority fee (priorityFee) is valid, while in anti-MEV, only the bribery tip (jitoTip) is valid, and the system will allocate them automatically

string
required

Priority Fee (SOL), valid for Solana, empty string means use auto priority fee

boolean
Defaults to false

"true" means enable anti-MEV mode (Solana & Ethereum & Bsc)

number
required

Bribery tip used by Anti-MEV (Solana), required when “jitoEnabled” or “customFeeAndTip” is true (null indicates automatic priority fee / bribery tip)

integer
required

Task duration, max 432000000 (milliseconds)

number
required

MAX slippage tolerance (0.00-1.00), when buying, it represents the difference between the actual price and the expected price. When selling, it represents the difference between the expected price and the actual price, the difference multiplier = 1/(1-slippage), 0.5 means a maximum of 2 times the accepted spread, 1 means unlimited spreads

integer
Defaults to 2

Number of concurrent nodes (1-3)

integer
Defaults to 1

Number of retries after failure (0-10)

Response

Language
Request
Response
Choose an example:
application/json